Class: Aws::CognitoIdentityProvider::Types::ListUsersRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::CognitoIdentityProvider::Types::ListUsersRequest
- Defined in:
- gems/aws-sdk-cognitoidentityprovider/lib/aws-sdk-cognitoidentityprovider/types.rb
Overview
Represents the request to list users.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#attributes_to_get ⇒ Array<String>
A JSON array of user attribute names, for example
given_name, that you want Amazon Cognito to include in the response for each user. -
#filter ⇒ String
A filter string of the form
"AttributeName Filter-Type "AttributeValue". -
#limit ⇒ Integer
The maximum number of users that you want Amazon Cognito to return in the response.
-
#pagination_token ⇒ String
This API operation returns a limited number of results.
-
#user_pool_id ⇒ String
The ID of the user pool where you want to display or search for users.
Instance Attribute Details
#attributes_to_get ⇒ Array<String>
A JSON array of user attribute names, for example given_name, that
you want Amazon Cognito to include in the response for each user.
When you don't provide an AttributesToGet parameter, Amazon
Cognito returns all attributes for each user.
Use AttributesToGet with required attributes in your user pool, or
in conjunction with Filter. Amazon Cognito returns an error if not
all users in the results have set a value for the attribute you
request. Attributes that you can't filter on, including custom
attributes, must have a value set in every user profile before an
AttributesToGet parameter returns results.
8563 8564 8565 8566 8567 8568 8569 8570 8571 |
# File 'gems/aws-sdk-cognitoidentityprovider/lib/aws-sdk-cognitoidentityprovider/types.rb', line 8563 class ListUsersRequest < Struct.new( :user_pool_id, :attributes_to_get, :limit, :pagination_token, :filter) SENSITIVE = [] include Aws::Structure end |
#filter ⇒ String
A filter string of the form "AttributeName Filter-Type
"AttributeValue". Quotation marks within the filter string must be
escaped using the backslash (`) character. For example,
"family_name = "Reddy""`.
AttributeName: The name of the attribute to search for. You can only search for one attribute at a time.
Filter-Type: For an exact match, use
=, for example, "given_name = "Jon"". For a prefix ("starts with") match, use^=, for example, "given_name ^= "Jon"".AttributeValue: The attribute value that must be matched for each user.
If the filter string is empty, ListUsers returns all users in the
user pool.
You can only search for the following standard attributes:
username(case-sensitive)emailphone_numbernamegiven_namefamily_namepreferred_usernamecognito:user_status(called Status in the Console) (case-insensitive)status (called Enabled in the Console) (case-sensitive)sub
Custom attributes aren't searchable.
--query parameter of the
list-users action in the CLI. When you use a client-side filter,
ListUsers returns a paginated list of zero or more users. You can
receive multiple pages in a row with zero results. Repeat the query
with each pagination token that is returned until you receive a null
pagination token value, and then review the combined result.
For more information about server-side and client-side filtering, see FilteringCLI output in the Command Line Interface User Guide.
For more information, see Searching for Users Using the ListUsers API and Examples of Using the ListUsers API in the Amazon Cognito Developer Guide.
8563 8564 8565 8566 8567 8568 8569 8570 8571 |
# File 'gems/aws-sdk-cognitoidentityprovider/lib/aws-sdk-cognitoidentityprovider/types.rb', line 8563 class ListUsersRequest < Struct.new( :user_pool_id, :attributes_to_get, :limit, :pagination_token, :filter) SENSITIVE = [] include Aws::Structure end |
#limit ⇒ Integer
The maximum number of users that you want Amazon Cognito to return
in the response. In some SDK contexts, this operation might return
fewer items than you specify in the Limit parameter without having
reached the end of the full list. If the response contains a
PaginationToken, then there are more results.
8563 8564 8565 8566 8567 8568 8569 8570 8571 |
# File 'gems/aws-sdk-cognitoidentityprovider/lib/aws-sdk-cognitoidentityprovider/types.rb', line 8563 class ListUsersRequest < Struct.new( :user_pool_id, :attributes_to_get, :limit, :pagination_token, :filter) SENSITIVE = [] include Aws::Structure end |
#pagination_token ⇒ String
This API operation returns a limited number of results. The pagination token is an identifier that you can present in an additional API request with the same parameters. When you include the pagination token, Amazon Cognito returns the next set of items after the current list. Subsequent requests return a new pagination token. By use of this token, you can paginate through the full list of items.
8563 8564 8565 8566 8567 8568 8569 8570 8571 |
# File 'gems/aws-sdk-cognitoidentityprovider/lib/aws-sdk-cognitoidentityprovider/types.rb', line 8563 class ListUsersRequest < Struct.new( :user_pool_id, :attributes_to_get, :limit, :pagination_token, :filter) SENSITIVE = [] include Aws::Structure end |
#user_pool_id ⇒ String
The ID of the user pool where you want to display or search for users.
8563 8564 8565 8566 8567 8568 8569 8570 8571 |
# File 'gems/aws-sdk-cognitoidentityprovider/lib/aws-sdk-cognitoidentityprovider/types.rb', line 8563 class ListUsersRequest < Struct.new( :user_pool_id, :attributes_to_get, :limit, :pagination_token, :filter) SENSITIVE = [] include Aws::Structure end |